## 	**HYCO Code Scanning and Pairing Instruction**

​																				 [HYCO Technical Team]()

[TOC]

#### **Preface**

> An instruction manual is like a beacon for the way. HYCO Code Scanning and Pairing Instruction helps you better understand and develop programs to connect to our wearable devices.
>
> HYCO focuses on the research and development, production, sales and service of wearable products, and provides overall application solutions. [Ring Scanner]()（Ring Scanner）All of the product series are small and light, powerful, and smart.
>
> - Small and light--small volume and light weight；
>
> - l Powerful--24-hour continuous work time (scan once every 3 seconds), 30,000+ continuous scanning times (fully charged), stable and reliable；
>
> - l Smart--connected to Bluetooth 4.0 mobile phones, tablet computers, industrial control equipment, etc., customized lighting output method according to the user's actual operation, convenient and efficient to users.
>
>   HYCO Third-party development document summarizes the wisdom and experience of HYCO, and systematically organizes the long-term development iteration and optimization experience for customers such as DHL, SF, Pepsi, Wal-Mart, YTO, JD.com, etc., so that third-party developers can connect with HYCO SDK more efficiently with high quality. HYCO presents products with good user experience, high performance, good stability, and high security.
>
>   Official Website:[http://www.hycoiot.com](http://www.hycoiot.com)
>
>   Wechat Official Account: hyco-4006308608
>
>   Tel: 4006-308-608 丨15000096211
>
>   Wechat: 浩创指环王
>
>   Official Weibo Account: 浩创-节省人力
>
>   Address: Room 3A19, 4/F, Building B, No.999 of Huaxu Road, Qingpu District, Shanghai, China


#### **Introducing aar**
Put the aar file provided by HYCO into the libs folder of the project directory

build.gradle The person who adds the file introduce the code as follows：

	implementation files('libs\\hyco_ble-release.aar')
	//introduce if use the SDK interface
	implementation files('libs\\hyco_ble_ui-release.aar')


#### **Simple Connection**

[^Single-device connection]: Jump to SingleBleActivity directly at the page, as follows：

```java
startActivity(new Intent(MainActivity.this, ScanBleActivity.class));
```

[^Multi-device connection]: Jump to ListBLeActivity directly at the page, as follows：

```java
startActivity(new Intent(MainActivity.this, ListBleActivity.class));
```

#### **Custom Integration**

1.    `Initialization`

First, create a BleProxy object as follows：

	BleProxy mProxy = ProxyManage.getProxy(this);

2. `Surrounding BLE devices search`

		mProxy.startSearch(new BleListChangeCallback() {
            @Override
            public void onBtListChanged(List<BleDevice> btList) {
                //Get the search list

            }
        });  

3. `Connection`

    	mProxy.connectDevice(device, new BleConnectCallback() {
                                @Override
                                public void onSuccess(final BleDevice device) {
                                    Toast.makeText(ListBleActivity.this, "Connection", Toast.LENGTH_LONG).show();
                                  
                                }

                                @Override
                                public void onFailed(String msg) {
                                    Toast.makeText(ListBleActivity.this, msg, Toast.LENGTH_LONG).show();
                                    
                                }

                                @Override
                                public void onDisconnected(BleDevice device) {
                                    Toast.makeText(ListBleActivity.this, "Disconnection", Toast.LENGTH_LONG).show();
                                    
                                }
                            });

4. `Disconnection`

    	mProxy.disconnectDevice(device, new BleConnectCallback() {
                                @Override
                                public void onSuccess(final BleDevice device) {
                                    
                                  
                                }

                                @Override
                                public void onFailed(String msg) {
                                   
                                    
                                }

                                @Override
                                public void onDisconnected(BleDevice device) {

                                    Toast.makeText(ListBleActivity.this, "Disconnection", Toast.LENGTH_LONG).show();
                                    
                                }
                            });


#### **Scan Data Obtain**

- `Broadcast`

  [^]: You can register for broadcasting in the program and receive data from it. (Note: After Android 8.0, you will not receive broadcast notifications for static broadcast registration. Therefore, it is recommended that you dynamically register in the code to ensure the normal reception of broadcast data.)
	
	Register broadcast receiver：

    private void registerReceiver() {
        IntentFilter filter = new IntentFilter();
        filter.addAction(BleActionExtra.Barcode.HYCO_ACTION_BARCODE);
        registerReceiver(mBroadcastReceiver, filter);
    }

	BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        @Override
        public void onReceive(Context context, Intent intent) {
            L.e(intent.getAction());
            switch (intent.getAction()) {
                case BleActionExtra.Barcode.HYCO_ACTION_BARCODE:
                    String code = intent.getStringExtra(BleActionExtra.Barcode.HYCO_VALUE_BARCODE);//Obtained data
                    String mac = intent.getStringExtra(BleActionExtra.Barcode.HYCO_VALUE_SENDER_MAC);//Obtained data
                    String sn = intent.getStringExtra(BleActionExtra.Barcode.HYCO_VALUE_SENDER_SN);//Obtained data
              
                    break;
            }
        }
    };

  